
Katello - Bug #6193

Nasty trace + failed attempt when creating content view

06/12/2014 02:06 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1105222 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105222

Description of problem:

Trying to create a content view is failing and generates an ugly trace.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140604.0

How reproducible:

Steps to Reproduce:

1.  Sync content and try to create a content view

2.  Note failure

3. View logs

Actual results:

Completed 200 OK in 411ms (Views: 1.3ms | ActiveRecord: 1.8ms)

could not obtain a database connection within 5 seconds (waited 5.000149803 seconds). The max pool size is currently 5; consider

increasing it. (ActiveRecord::ConnectionTimeoutError)

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:252:

in `block (2 levels) in checkout'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:236:

in `loop'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:236:

in `block in checkout'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:233:

in `checkout'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:96:i

n `block in connection'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:95:i

n `connection'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:404:

in `retrieve_connection'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specificatio

n.rb:170:in `retrieve_connection'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specificatio

n.rb:144:in `connection'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.rb:7:in `connection'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/finder_methods.rb:333:in `find_one'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/finder_methods.rb:312:in `find_with_ids'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/finder_methods.rb:107:in `find'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/querying.rb:5:in `find'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/elastic_search/repository/index_content.rb:23:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:424:in `block (3 levels) in execute_run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware.rb:16:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:25:in `block in run'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:51:in `block (2 levels) in

as_remote_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/thread_session.rb:85:in `set_pulp_config'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:41:in `as_pulp_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:50:in `block in as_remote_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/thread_session.rb:92:in `set_cp_config'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:36:in `as_cp_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:49:in `as_remote_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:25:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware.rb:16:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action/progress.rb:30:in `with_progress_calculation'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action/progress.rb:16:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware.rb:16:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:24:in `block in run'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:35:in `with_locale'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:24:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/world.rb:30:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:424:in `block (2 levels) in execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:423:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:423:in `block in execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in `block in with_error_handling'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in `with_error_handling'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:422:in `execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:222:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in `block (2 levels)

in execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract.rb:141:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract.rb:141:in `with_meta_calculation'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in `block in

execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in `open_action'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/executors/parallel/worker.rb:20:in `block in on_message'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in `block in assigns'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `tap'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `assigns'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in `match_value'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in `block in match'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `match'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/executors/parallel/worker.rb:17:in `on_message'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:82:in `on_envelope'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:72:in `receive'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in `block (2 levels) in run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in `loop'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in `block in run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:13:in `block in initialize'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

Expected results:

Successful sync

No traces.

05/17/2024 2/3



Additional info:

History

#1 - 06/12/2014 02:06 PM - Ivan Necas

- Status changed from New to Assigned

- Target version set to 45

- Triaged set to No

#2 - 06/12/2014 02:09 PM - Ivan Necas

Also related to https://bugzilla.redhat.com/show_bug.cgi?id=1108190

#3 - 06/13/2014 11:33 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 06/16/2014 02:43 PM - Ivan Necas

- Status changed from Assigned to Closed

Should be fixed with https://github.com/theforeman/foreman-tasks/pull/66 in foreman-tasks-0.6.2

#5 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
